NewsArticle Class

Defines a news article.

Variables are only populated by the server, and will be ignored when sending a request.

All required parameters must be populated in order to send to Azure.

Inheritance
azure.cognitiveservices.search.newssearch.models._models_py3.Article
NewsArticle

Constructor

NewsArticle(**kwargs)

Parameters

_type
str
Required

Required. Constant filled by server.

Variables

id
str

A String identifier.

web_search_url
str

The URL To Bing's search result for this item.

name
str

The name of the thing represented by this object.

url
str

The URL to get more information about the thing represented by this object.

image
ImageObject

An image of the item.

description
str

A short description of the item.

alternate_name
str

An alias for the item

bing_id
str

An ID that uniquely identifies this item.

thumbnail_url
str

The URL to a thumbnail of the item.

provider
list[Thing]

The source of the creative work.

date_published
str

The date on which the CreativeWork was published.

video
VideoObject

A video of the item.

word_count
int

The number of words in the text of the Article.

category
str

The news category that the article belongs to. For example, Sports. If the news category cannot be determined, the article does not include this field.

headline
bool

A Boolean value that indicates whether the news article is a headline. If true, the article is a headline. The article includes this field only for news categories requests that do not specify the category query parameter.

clustered_articles
list[NewsArticle]

A list of related news articles.